Aller au contenu

Wallet d'un séjour

GET
/v1/stays/{stayId}/wallet
curl --request GET \
--url https://example.com/v1/stays/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/wallet \
--header 'X-API-Key: <X-API-Key>'
stayId
required
string format: uuid

Wallet du séjour

Media type application/json
object
data
required
object
id
required
string format: uuid
stayId
required
string format: uuid
balanceCents
required
string
status
required
string
Example generated
{
"data": {
"id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"stayId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"balanceCents": "example",
"status": "example"
}
}

Non authentifié

Media type application/json
object
code
required

Code machine de l’erreur

string
message
required

Message lisible

string
origin

Origine domaine de l’erreur (optionnel)

object
boundedContext
string
module
string
status
required
integer
traceId
required

Identifiant de corrélation pour le support

string
Example
{
"code": "RESERVATION_NOT_FOUND",
"message": "Réservation introuvable",
"status": 404
}

Wallet introuvable pour ce séjour

Media type application/json
object
code
required

Code machine de l’erreur

string
message
required

Message lisible

string
origin

Origine domaine de l’erreur (optionnel)

object
boundedContext
string
module
string
status
required
integer
traceId
required

Identifiant de corrélation pour le support

string
Example
{
"code": "RESERVATION_NOT_FOUND",
"message": "Réservation introuvable",
"status": 404
}